This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253004 - [abrt] gimp: type_check_is_value_type_U(): gimp-2.8 killed by SIGSEGV
[abrt] gimp: type_check_is_value_type_U(): gimp-2.8 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5c134be8cc3871c83054e202422...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 13:22 EDT by kilian-risse
Modified: 2016-07-19 13:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.53 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: core_backtrace (4.88 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: dso_list (24.27 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: environ (3.49 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: maps (119.89 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: open_fds (1.24 KB, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-12 13:22 EDT, kilian-risse
no flags Details

  None (edit)
Description kilian-risse 2015-08-12 13:22:22 EDT
Version-Release number of selected component:
gimp-2.8.14-3.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gimp -b -
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gimp-2.8
global_pid:     5258
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4159
 #1 g_type_check_value_holds at gtype.c:4208
 #2 g_value_get_int at gvaluetypes.c:794
 #3 plug_in_params_to_args at plug-in-params.c:145
 #4 gimp_plug_in_handle_proc_return at gimpplugin-message.c:612
 #5 gimp_plug_in_handle_message at gimpplugin-message.c:130
 #6 gimp_plug_in_recv_message at gimpplugin.c:621
 #11 gimp_plug_in_manager_call_run at gimppluginmanager-call.c:268
 #12 gimp_plug_in_procedure_execute at gimppluginprocedure.c:208
 #13 gimp_procedure_execute at gimpprocedure.c:331

Potential duplicate: bug 1180914
Comment 1 kilian-risse 2015-08-12 13:22:26 EDT
Created attachment 1062120 [details]
File: backtrace
Comment 2 kilian-risse 2015-08-12 13:22:27 EDT
Created attachment 1062121 [details]
File: cgroup
Comment 3 kilian-risse 2015-08-12 13:22:30 EDT
Created attachment 1062122 [details]
File: core_backtrace
Comment 4 kilian-risse 2015-08-12 13:22:34 EDT
Created attachment 1062123 [details]
File: dso_list
Comment 5 kilian-risse 2015-08-12 13:22:35 EDT
Created attachment 1062124 [details]
File: environ
Comment 6 kilian-risse 2015-08-12 13:22:41 EDT
Created attachment 1062125 [details]
File: limits
Comment 7 kilian-risse 2015-08-12 13:22:44 EDT
Created attachment 1062126 [details]
File: maps
Comment 8 kilian-risse 2015-08-12 13:22:45 EDT
Created attachment 1062127 [details]
File: mountinfo
Comment 9 kilian-risse 2015-08-12 13:22:47 EDT
Created attachment 1062128 [details]
File: namespaces
Comment 10 kilian-risse 2015-08-12 13:22:51 EDT
Created attachment 1062129 [details]
File: open_fds
Comment 11 kilian-risse 2015-08-12 13:22:56 EDT
Created attachment 1062130 [details]
File: proc_pid_status
Comment 12 kilian-risse 2015-08-12 13:22:57 EDT
Created attachment 1062131 [details]
File: var_log_messages
Comment 13 Nils Philippsen 2016-06-03 08:04:17 EDT
Sorry for the late response.

It looks like it crashes when attempting to dereference node->mutatable_check_cache in type_check_is_value_type_U:

#0  0x00007f31ed9aa3fd in type_check_is_value_type_U (type=1167363) at gtype.c:4159
4159	  if (node && node->mutatable_check_cache)

Thread 1 (Thread 0x7f31f17f0980 (LWP 5258)):
#0  0x00007f31ed9aa3fd in type_check_is_value_type_U (type=1167363) at gtype.c:4159
        tflags = G_TYPE_FLAG_VALUE_ABSTRACT
        node = 0x11d000

So node isn't 0, but doesn't look like a valid pointer either. The code in question is private to glib, changing component accordingly.
Comment 14 Fedora End Of Life 2016-07-19 13:29:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.